(set-logic UFLIA)
(declare-fun SYSTEM.CHAR () Int)
(declare-fun SYSTEM.UINT64 () Int)
(declare-fun INT_18446744073709551615 () Int)
(declare-fun SYSTEM.INT64 () Int)
(declare-fun INRANGE ( Int Int) Bool)
(declare-fun SYSTEM.SBYTE () Int)
(declare-fun INTTOINT_ ( Int Int Int) Int)
(declare-fun SYSTEM.BYTE () Int)
(declare-fun SYSTEM.INT16 () Int)
(declare-fun INT_2147483647 () Int)
(declare-fun SYSTEM.UINT16 () Int)
(declare-fun INT_9223372036854775807 () Int)
(declare-fun INT_M2147483648 () Int)
(declare-fun INT_4294967295 () Int)
(declare-fun SYSTEM.UINT32 () Int)
(declare-fun SYSTEM.INT32 () Int)
(declare-fun INT_M9223372036854775808 () Int)
(assert (forall ((?Z Int)) (forall ((?B Int)) (forall ((?C Int)) (=> (INRANGE ?Z ?C) (= (INTTOINT_ ?Z ?B ?C) ?Z))))))
(assert (forall ((?I Int)) (= (INRANGE ?I SYSTEM.SBYTE) (and (<= (- 0 128) ?I) (< ?I 128)))))
(assert (forall ((?I Int)) (= (INRANGE ?I SYSTEM.BYTE) (and (<= 0 ?I) (< ?I 256)))))
(assert (forall ((?I Int)) (= (INRANGE ?I SYSTEM.INT16) (and (<= (- 0 32768) ?I) (< ?I 32768)))))
(assert (forall ((?I Int)) (= (INRANGE ?I SYSTEM.UINT16) (and (<= 0 ?I) (< ?I 65536)))))
(assert (forall ((?I Int)) (= (INRANGE ?I SYSTEM.INT32) (and (<= INT_M2147483648 ?I) (<= ?I INT_2147483647)))))
(assert (forall ((?I Int)) (= (INRANGE ?I SYSTEM.UINT32) (and (<= 0 ?I) (<= ?I INT_4294967295)))))
(assert (forall ((?I Int)) (= (INRANGE ?I SYSTEM.INT64) (and (<= INT_M9223372036854775808 ?I) (<= ?I INT_9223372036854775807)))))
(assert (forall ((?I Int)) (= (INRANGE ?I SYSTEM.UINT64) (and (<= 0 ?I) (<= ?I INT_18446744073709551615)))))
(assert (forall ((?I Int)) (= (INRANGE ?I SYSTEM.CHAR) (and (<= 0 ?I) (< ?I 65536)))))
(check-sat)
(exit)
