(set-logic UFLIA)
(declare-fun T_LONG () Int)
(declare-fun LONGFIRST () Int)
(declare-fun INTLAST () Int)
(declare-fun T_SHORT () Int)
(declare-fun T_BYTE () Int)
(declare-fun LONGLAST () Int)
(declare-fun T_CHAR () Int)
(declare-fun INTFIRST () Int)
(declare-fun IS ( Int Int) Int)
(declare-fun ARRAYLENGTH ( Int) Int)
(declare-fun T_INT () Int)
(declare-fun TRUE_TERM () Int)
(assert (forall ((?A Int)) (let ((_LET_1 (ARRAYLENGTH ?A))) (and (<= 0 _LET_1) (= (IS _LET_1 T_INT) TRUE_TERM)))))
(assert (forall ((?X Int)) (= (= (IS ?X T_CHAR) TRUE_TERM) (and (<= 0 ?X) (<= ?X 65535)))))
(assert (forall ((?X Int)) (= (= (IS ?X T_BYTE) TRUE_TERM) (and (<= (- 128) ?X) (<= ?X 127)))))
(assert (forall ((?X Int)) (= (= (IS ?X T_SHORT) TRUE_TERM) (and (<= (- 32768) ?X) (<= ?X 32767)))))
(assert (forall ((?X Int)) (= (= (IS ?X T_INT) TRUE_TERM) (and (<= INTFIRST ?X) (<= ?X INTLAST)))))
(assert (forall ((?X Int)) (= (= (IS ?X T_LONG) TRUE_TERM) (and (<= LONGFIRST ?X) (<= ?X LONGLAST)))))
(check-sat)
(exit)
